<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 12px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Controller Library</h1>

		<p>This library is a core library and you probably won't have any interaction with it, however the following
		methods are present in the class.</p>
	</div>

	<div class="content">
		<h1>Controller Class Methods</h1>

		<h2>public function __construct()</h2>
		<p>This method initialises the class and calls the <b>c_initialise()</b> method.</p>

		<h2>private function c_initialise()</h2>
		<p>This method loads and initialises the core CarbonPHP libraries, and then loads any files that are in the
		autoload configuration file.</p>

		<h2>public function c_scaffolding()</h2>
		<p>This method is called if scaffolding is requested, and this method loads the scaffolding class, and
		displays the scaffolding.</p>

		<h2>public function set_scaffolding($scaffolding)</h2>
		<p>This method sets whether the request is a scaffolding request or not. <b>$scaffolding</b> being <b>true</b>
		or <b>false</b>.</p>

		<h2>public function set_scaff_table($scaff_table)</h2>
		<p>This method sets the name of the database table that is being scaffolded.</p>
	</div>
</body>

</html>
